News for hackers. Stuff that matters.
Re:Stop Validating Email Addresses With Your Complex Regex by baudehlo on Friday May 24, 2013 @03:01PM (#5764681)
There's nothing wrong with doing full validation. Just don't use that regexp - it's for RFC822 email addresses, which is how you might see them in an email header, including things like comments.

You want an RFC821 (or more specifically RFC5321 now) email address regexp. See my post here about the email validator I wrote: https://www.emailitin.com/email_validator

There are no comments on this comment yet.